package OOPLS;

import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JTextArea;

public class MazeHelpDialog extends JDialog {
  JTextArea helpText = new JTextArea();
  public MazeHelpDialog() {
    setBounds(20,20,400,250);
    this.setResizable(false);
    helpText.setBounds(getBounds());
    initComponents();
  }
  public void initComponents() {
    helpText.setLineWrap(true);
    helpText.setWrapStyleWord(true);
    helpText.setEditable(false);
    helpText.setText(
    "  Use the arrow keys to navigate " 
+   "from the green 'start' room \n"
+   "  to the red 'stop' room.  Use " 
+   "backspace to erase one link at\n"
+   "  a time from your solution.\n\n" 
+   "  'File...New' generates a new maze.\n" 
+   "  'File...Save' saves the " 
+   "maze and your complete or partial solution.\n" 
+   "  'File...Open' opens a new maze.\n" 
+   "  'Edit...Erase solution' removes " 
+   "all moves so you can start from\n" 
+   "          scratch on a new solution.\n" 
+   "  'Edit...Reconfigure maze' allows " 
+   "you to change the number of rows\n" 
+   "          and columns of the maze.\n\n"
+   "  If you have difficulty locating " 
+   "the start and finish locations,\n"
+   "  press and hold the space key.");
    getContentPane().add(helpText);
  }
}
